apt: Container_iterator< Interface, Container, Master > Class Template Reference

apt 3.3.2 commandline package manager

Public Member Functions | List of all members
Container_iterator< Interface, Container, Master > Class Template Reference
Inheritance diagram for Container_iterator< Interface, Container, Master >:

## Public Member Functions
| Container_iterator (container_iterator const &i)
| operator typename Master::const_iterator ()
Container::iterator::reference | operator* (void) const
Container::value_type | getType (void) const
Public Member Functions inherited from Container_iterator_base< Interface, Master, Container_iterator< Interface, Container, Master >, Container::iterator, Container::value_type >
| Container_iterator_base (Container::iterator const &i)
Container::value_type | operator* (void) const
| operator Container::iterator (void) const
Container_iterator< Interface, Container, Master > & | operator++ ()
Container_iterator< Interface, Container, Master > | operator+ (typename Container::iterator::difference_type const &n) const
Container_iterator< Interface, Container, Master > | operator+= (typename Container::iterator::difference_type const &n)
Container_iterator< Interface, Container, Master > & | operator-- ()
Container_iterator< Interface, Container, Master > | operator- (typename Container::iterator::difference_type const &n) const
Container_iterator< Interface, Container, Master > | operator-= (typename Container::iterator::difference_type const &n)
bool | operator!= (Container_iterator< Interface, Container, Master > const &i) const
bool | operator== (Container_iterator< Interface, Container, Master > const &i) const
bool | operator< (Container_iterator< Interface, Container, Master > const &i) const
bool | operator> (Container_iterator< Interface, Container, Master > const &i) const
bool | operator<= (Container_iterator< Interface, Container, Master > const &i) const
bool | operator>= (Container_iterator< Interface, Container, Master > const &i) const
Container::iterator::reference | operator[] (typename Container::iterator::difference_type const &n) const

## Additional Inherited Members
Public Types inherited from Container_iterator_base< Interface, Master, Container_iterator< Interface, Container, Master >, Container::iterator, Container::value_type >
using | iterator_category
using | value_type
using | difference_type
using | pointer
using | reference
Public Attributes inherited from Container_iterator_base< Interface, Master, Container_iterator< Interface, Container, Master >, Container::iterator, Container::value_type >
friend | Master
Protected Attributes inherited from Container_iterator_base< Interface, Master, Container_iterator< Interface, Container, Master >, Container::iterator, Container::value_type >
Container::iterator | _iter

The documentation for this class was generated from the following file:

- apt-pkg/cacheset.h